%global _enable_debug_package 0
%global debug_package %{nil}

%ifarch i386 i486 i586 i686
%global binsuffix x86
%global sosuffix i386
%endif

%ifarch x86_64 aarch64 ppc64le
%global binsuffix x86_64
%global sosuffix x86_64
%endif

%ifarch aarch64
%global binsuffix aarch64
%global sosuffix aarch64
%endif

%ifarch ppc64le
%global binsuffix ppc64le
%global sosuffix ppc64le
%endif

Name:		iortcw
Version:	1.51c
Release:	2
Summary:	iortcw engine for Return to Castle Wolfenstein
Group:		Games
License:	GPLv3+
URL:		https://github.com/iortcw/iortcw
Source0:	https://github.com/iortcw/iortcw/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRequires:	curl-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	libvorbis-devel
BuildRequires:	libogg-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	openal-devel
BuildRequires:	SDL2-devel
BuildRequires:	zlib-devel

%description
Engine for Return to Castle Wolfenstein based on ioquake.

%prep
%setup -q -c -n %{name}-%{version}.tar.gz

%build
cd %{name}-%{version}

cd SP
%make_build
cd -

cd MP
%make_build
cd -

%install
cd %{name}-%{version}

cd SP
COPYDIR=%{buildroot}%{_datarootdir}/games/wolf make copyfiles
cd -

cd MP
COPYDIR=%{buildroot}%{_datarootdir}/games/wolf make copyfiles
cd -

#Install the icon
%{__install} -D -p -m 644 SP/misc/wolf512.png \
	%{buildroot}%{_datadir}/icons/hicolor/512x512/apps/wolf.png

#Symlink the binaries
mkdir -p %{buildroot}%{_bindir}
ln -s %{_datarootdir}/games/wolf/iowolfmp.%{binsuffix} %{buildroot}%{_bindir}/iowolfmp
ln -s %{_datarootdir}/games/wolf/iowolfsp.%{binsuffix} %{buildroot}%{_bindir}/iowolfsp

#Install the desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%license %{name}-%{version}/SP/COPYING.txt
%{_datarootdir}/games/wolf/iowolfded.%{binsuffix}
%{_datarootdir}/games/wolf/iowolfmp.%{binsuffix}
%{_datarootdir}/games/wolf/iowolfsp.%{binsuffix}
%{_datarootdir}/games/wolf/renderer_mp_opengl1_%{sosuffix}.so
%{_datarootdir}/games/wolf/renderer_mp_rend2_%{sosuffix}.so
%{_datarootdir}/games/wolf/renderer_sp_opengl1_%{sosuffix}.so
%{_datarootdir}/games/wolf/renderer_sp_rend2_%{sosuffix}.so
%{_datarootdir}/games/wolf/main/cgame.mp.%{sosuffix}.so
%{_datarootdir}/games/wolf/main/cgame.sp.%{sosuffix}.so
%{_datarootdir}/games/wolf/main/qagame.mp.%{sosuffix}.so
%{_datarootdir}/games/wolf/main/qagame.sp.%{sosuffix}.so
%{_datarootdir}/games/wolf/main/ui.mp.%{sosuffix}.so
%{_datarootdir}/games/wolf/main/ui.sp.%{sosuffix}.so
%{_datarootdir}/icons/hicolor/512x512/apps/wolf.png
%{_datarootdir}/applications/iortcw.desktop
%{_bindir}/iowolfmp
%{_bindir}/iowolfsp

%changelog
* Sun Sep 29 2019 Brandon Nielsen <nielsenb@jetfuse.net> 1.51c-2
- Add support for aarch64, ppc64le

* Fri Mar 22 2019 Brandon Nielsen <nielsenb@jetfuse.net> 1.51c-1
- Update to 1.51c

* Wed Oct 10 2018 Brandon Nielsen <nielsenb@jetfuse.net> 1.51b-2
- Explicitly require gcc-c++

* Tue Sep 26 2017 Brandon Nielsen <nielsenb@jetfuse.net> 1.51b-1
- Update to 1.51b

* Fri Jun 23 2017 Brandon Nielsen <nielsenb@jetfuse.net> 1.51-1
- Update to 1.51

* Thu Mar 30 2017 Brandon Nielsen <nielsenb@jetfuse.net> 1.50a-2
- Add desktop file

* Wed Jan 25 2017 Brandon Nielsen <nielsenb@jetfuse.net> 1.50a-1
- Initial specfile
